/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL C/C++ for Linux, V12.1 (5765-J03, 5725-C73)               */
/*                                                                    */
/*   Copyright IBM Corp. 1998, 2012.                                  */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/
/*
 * The following [enclosed] code is sample code created by IBM
 * Corporation.  This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications.  The code is provided 'AS IS',
 * without warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have been
 * advised of the possibility of such damages.
 */

#include <set>
#include <functional>
#include <iostream>

using namespace std;

int main()
{
	multiset<int, greater<int> > s;

	s.insert(1);
	s.insert(5);
	s.insert(4);
	s.insert(2);
	s.insert(2);

	if (s.find(5) != s.end())
		cout << "5 is in the set" << endl;

	s.erase(4);

	for (multiset<int, greater<int> >::iterator ip = s.begin();
	    ip != s.end(); *ip++)
		cout << *ip << endl;

	return 0;
}
