/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL C/C++ for Linux, V12.1 (5765-J03, 5725-C73)               */
/*                                                                    */
/*   Copyright IBM Corp. 1998, 2012.                                  */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/
/*
 * The following [enclosed] code is sample code created by IBM
 * Corporation.  This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications.  The code is provided 'AS IS',
 * without warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have been
 * advised of the possibility of such damages.
 */

#include <algorithm>
#include <iostream>

using namespace std;

struct Rec {
	int a;
	int b;
};

bool pred(Rec r1, Rec r2)
{
	return r1.a < r2.a;
}

Rec vec[] = {
	{-5, 12},
	{12, 19},
	{-5, 13},
	{17, 4},
	{12, 3}
};

int main()
{
	stable_sort(vec, vec + 5, pred);

	for (int i = 0; i < 5; i++)
		cout << vec[i].a << "," << vec[i].b << endl;

	return 0;
}
