/********************************************************************/
/* Licensed Materials - Property of IBM                             */
/* IBM MASS Library Component V7.3 for Blue Gene                    */
/* 5799-AG1                                                         */
/* 5799-AH1                                                         */
/* Copyright IBM Corp. 2007, 2009.                                  */
/* US Government Users Restricted Rights - Use, duplication or      */
/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.*/
/********************************************************************/

/* SCCS ID STRING    02  1.3 4/5/12 17:58:20        1/17/13 15:29:18 */

#ifdef __cplusplus
  extern "C" {
#endif

extern vector4double acosd4 (vector4double);
extern vector4double acoshd4 (vector4double);
extern vector4double asind4 (vector4double);
extern vector4double asinhd4 (vector4double);
extern vector4double atand4 (vector4double);
extern vector4double atan2d4 (vector4double, vector4double);
extern vector4double atanhd4 (vector4double);
extern vector4double cbrtd4 (vector4double);
extern vector4double cosd4 (vector4double);
extern vector4double coshd4 (vector4double);
extern void cosisind4 (vector4double, vector4double *, vector4double *);
extern vector4double divd4 (vector4double, vector4double);
extern vector4double div_fastd4 (vector4double, vector4double);
extern vector4double erfd4 (vector4double);
extern vector4double erfcd4 (vector4double);
extern vector4double expd4 (vector4double);
extern vector4double expm1d4 (vector4double);
extern vector4double exp2d4 (vector4double);
extern vector4double exp2m1d4 (vector4double);
extern vector4double exp10d4 (vector4double);
extern vector4double hypotd4 (vector4double, vector4double);
extern vector4double lgammad4 (vector4double);
extern vector4double logd4 (vector4double);
extern vector4double log1pd4 (vector4double);
extern vector4double log2d4 (vector4double);
extern vector4double log21pd4 (vector4double);
extern vector4double log10d4 (vector4double);
extern vector4double powd4 (vector4double, vector4double);
extern vector4double qdrtd4 (vector4double);
extern vector4double rcbrtd4 (vector4double);
extern vector4double recipd4 (vector4double);
extern vector4double recip_fastd4 (vector4double);
extern vector4double rqdrtd4 (vector4double);
extern vector4double rsqrtd4 (vector4double);
extern void sincosd4 (vector4double, vector4double *, vector4double *);
extern vector4double sind4 (vector4double);
extern vector4double sinhd4 (vector4double);
extern vector4double sqrtd4 (vector4double);
extern vector4double tand4 (vector4double);
extern vector4double tanhd4 (vector4double);

extern vector4double acosf4 (vector4double);
extern vector4double acoshf4 (vector4double);
extern vector4double asinf4 (vector4double);
extern vector4double asinhf4 (vector4double);
extern vector4double atanf4 (vector4double);
extern vector4double atan2f4 (vector4double, vector4double);
extern vector4double atanhf4 (vector4double);
extern vector4double cbrtf4 (vector4double);
extern vector4double cosf4 (vector4double);
extern vector4double coshf4 (vector4double);
extern void cosisinf4 (vector4double, vector4double *, vector4double *);
extern vector4double divf4 (vector4double, vector4double);
extern vector4double div_fastf4 (vector4double, vector4double);
extern vector4double erff4 (vector4double);
extern vector4double erfcf4 (vector4double);
extern vector4double expf4 (vector4double);
extern vector4double expm1f4 (vector4double);
extern vector4double exp2f4 (vector4double);
extern vector4double exp2m1f4 (vector4double);
extern vector4double exp10f4 (vector4double);
extern vector4double hypotf4 (vector4double, vector4double);
extern vector4double lgammaf4 (vector4double);
extern vector4double logf4 (vector4double);
extern vector4double log1pf4 (vector4double);
extern vector4double log2f4 (vector4double);
extern vector4double log21pf4 (vector4double);
extern vector4double log10f4 (vector4double);
extern vector4double powf4 (vector4double, vector4double);
extern vector4double qdrtf4 (vector4double);
extern vector4double rcbrtf4 (vector4double);
extern vector4double recipf4 (vector4double);
extern vector4double recip_fastf4 (vector4double);
extern vector4double rqdrtf4 (vector4double);
extern vector4double rsqrtf4 (vector4double);
extern void sincosf4 (vector4double, vector4double *, vector4double *);
extern vector4double sinf4 (vector4double);
extern vector4double sinhf4 (vector4double);
extern vector4double sqrtf4 (vector4double);
extern vector4double tanf4 (vector4double);
extern vector4double tanhf4 (vector4double);

#ifdef __cplusplus
}
#endif
